<article
  class="post"
  id="post{{ idx }}"
  *ngFor="let item of items(); let idx = index"
>
  <his-item-header
    [item]="item"
    (delete)="doDeleteItem($event)"
    (update)="doUpdateItem($event)"
  ></his-item-header>
  <his-item-body [item]="item"></his-item-body>
</article>
